## org.omg.CosNaming
Class BindingListHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.BindingListHelper

public class BindingListHelper
extends java.lang.Object

Helper class for : BindingList

Author:
  OpenORB Compiler

Constructor Summary
`BindingListHelper()`

Method Summary
`static Binding[]` `extract(Any a)` Extract BindingList from an any
`static java.lang.String` `id()` Return the BindingList IDL ID
`static void` `insert(Any a, Binding[] t)` Insert BindingList into an any
`static Binding[]` `read(InputStream istream)` Read BindingList from a marshalled stream
`static TypeCode` `type()` Return the BindingList TypeCode
`static void` `write(OutputStream ostream, Binding[] value)` Write BindingList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingListHelper

    public BindingListHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Binding[] t)

  Insert BindingList into an any
  Parameters:
    `a` - an any
    `t` - BindingList value

### extract

    public static Binding[] extract(Any a)

  Extract BindingList from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted BindingList value

### type

    public static TypeCode type()

  Return the BindingList TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the BindingList IDL ID
  Returns:
    an ID

### read

    public static Binding[] read(InputStream istream)

  Read BindingList from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed BindingList value

### write

    public static void write(OutputStream ostream,
                             Binding[] value)

  Write BindingList into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - BindingList value